"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const iterable_1 = require("../utils/iterable");
function takeWhile(source, predicate) {
    return iterable_1.iterable(function* () {
        let index = 0;
        for (const element of source) {
            if (!predicate(element, index++)) {
                return;
            }
            yield element;
        }
    });
}
exports.takeWhile = takeWhile;

//# sourceMappingURL=takeWhile.js.map
